search

Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Declinations Parallels

Explore the Declinations Parallels API to analyze planetary declination relationships, identifying parallels and contraparallels that add an extra layer of nuance to Western astrological interpretation.


Supported Language Codes

These language codes are supported by this API. Use them by passing the lan parameter in the request body if applicable (default is English).

CodeLanguage
enEnglish
hiHindi
ptPortuguese
frFrench
deGerman
jaJapanese
trTurkish
ruRussian
itItalian
esSpanish
nlDutch
plPolish

API Endpoint

POST https://astroapi-8.divineapi.com/western-api/v1/declinations-parallels

Returns Declinations Parallels details in the response.


Headers

NameTypeDescription
Authorization*StringYour API Access Token (Bearer {token})

Request Body

KeyTypeDescription
api_key*StringYour Divine API key
full_name*StringPerson's full name, e.g. Rahul Kumar
day*IntegerBirth day, e.g. 24
month*IntegerBirth month (MM), e.g. 05
year*IntegerBirth year (YYYY), e.g. 2023
hour*IntegerBirth hour (24-hour format), e.g. 14
min*IntegerBirth minute, e.g. 40
sec*IntegerBirth second, e.g. 43
gender*StringGender, e.g. male
place*StringBirth place, e.g. New Delhi, India
lat*FloatLatitude in decimal format, e.g. 28.7041
lon*FloatLongitude in decimal format, e.g. 77.1025
lanStringLanguage code, e.g. en
tzone*FloatTimezone in decimal hours, e.g. 5.5
node_typeStringmeannode or truenode (default: meannode)

200: OK Declinations Parallels Details Fetched Successfully

{
    "status": "success",
    "code": 200,
    "message": "Request successful",
    "data": {
        "declinations": [
            {
                "planet": "Ascendant",
                "declination": -2.271883,
                "decl_sign": "S"
            },
            {
                "planet": "Sun",
                "declination": 20.751924,
                "decl_sign": "N"
            },
            {
                "planet": "Moon",
                "declination": 25.769674,
                "decl_sign": "N"
            },
            {
                "planet": "Mars",
                "declination": 21.186416,
                "decl_sign": "N"
            },
            {
                "planet": "Mercury",
                "declination": 11.126115,
                "decl_sign": "N"
            },
            {
                "planet": "Venus",
                "declination": 25.003612,
                "decl_sign": "N"
            },
            {
                "planet": "Jupiter",
                "declination": 11.064477,
                "decl_sign": "N"
            },
            {
                "planet": "Saturn",
                "declination": -10.428401,
                "decl_sign": "S"
            },
            {
                "planet": "North node",
                "declination": 12.378913,
                "decl_sign": "N"
            },
            {
                "planet": "South node",
                "declination": -12.378913,
                "decl_sign": "S"
            },
            {
                "planet": "Uranus",
                "declination": 17.380428,
                "decl_sign": "N"
            },
            {
                "planet": "Neptune",
                "declination": -2.171413,
                "decl_sign": "S"
            },
            {
                "planet": "Pluto",
                "declination": -22.600196,
                "decl_sign": "S"
            },
            {
                "planet": "MC",
                "declination": 23.304944,
                "decl_sign": "N"
            },
            {
                "planet": "Vertex",
                "declination": 11.966531,
                "decl_sign": "N"
            },
            {
                "planet": "Chiron",
                "declination": 8.674132,
                "decl_sign": "N"
            },
            {
                "planet": "Lilith",
                "declination": 21.065726,
                "decl_sign": "N"
            }
        ],
        "aspects": [
            {
                "planet1": "Ascendant",
                "planet2": "Neptune",
                "aspect": "Parallel",
                "orb": 0.1
            },
            {
                "planet1": "Sun",
                "planet2": "Mars",
                "aspect": "Parallel",
                "orb": 0.43
            },
            {
                "planet1": "Sun",
                "planet2": "Lilith",
                "aspect": "Parallel",
                "orb": 0.31
            },
            {
                "planet1": "Moon",
                "planet2": "Venus",
                "aspect": "Parallel",
                "orb": 0.77
            },
            {
                "planet1": "Mars",
                "planet2": "Lilith",
                "aspect": "Parallel",
                "orb": 0.12
            },
            {
                "planet1": "Mercury",
                "planet2": "Jupiter",
                "aspect": "Parallel",
                "orb": 0.06
            },
            {
                "planet1": "Mercury",
                "planet2": "Saturn",
                "aspect": "Contra-Parallel",
                "orb": 0.7
            },
            {
                "planet1": "Mercury",
                "planet2": "Vertex",
                "aspect": "Parallel",
                "orb": 0.84
            },
            {
                "planet1": "Jupiter",
                "planet2": "Saturn",
                "aspect": "Contra-Parallel",
                "orb": 0.64
            },
            {
                "planet1": "Jupiter",
                "planet2": "Vertex",
                "aspect": "Parallel",
                "orb": 0.9
            },
            {
                "planet1": "North node",
                "planet2": "Vertex",
                "aspect": "Parallel",
                "orb": 0.41
            },
            {
                "planet1": "South node",
                "planet2": "Vertex",
                "aspect": "Contra-Parallel",
                "orb": 0.41
            },
            {
                "planet1": "Pluto",
                "planet2": "MC",
                "aspect": "Contra-Parallel",
                "orb": 0.7
            }
        ]
    }
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-8.divineapi.com/western-api/v1/declinations-parallels' \
--header 'Authorization: Bearer your Auth Token' \
--form 'api_key="your API Key"' \
--form 'full_name="Rahul Kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-8.divineapi.com/western-api/v1/declinations-parallels',
  'headers': {
    'Authorization': 'Bearer your Auth Token'
  },
  formData: {
    'api_key': 'your API Key',
    'full_name': 'Rahul Kumar',
    'day': '24',
    'month': '05',
    'year': '2023',
    'hour': '14',
    'min': '40',
    'sec': '43',
    'gender': 'male',
    'place': 'New Delhi, India',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript jQuery AJAX

var form = new FormData();
form.append("api_key", "your API Key");
form.append("full_name", "Rahul Kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");

var settings = {
  "url": "https://astroapi-8.divineapi.com/western-api/v1/declinations-parallels",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer your Auth Token"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-8.divineapi.com/western-api/v1/declinations-parallels"

payload = {'api_key': 'your API Key',
'full_name': 'Rahul Kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5'}
files=[

]
headers = {
  'Authorization': 'Bearer your Auth Token'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)

Implementation Notes

Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.

Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).

Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.

Defaults are lan=en; default is P (Placidus).

Test via Postman first and always use HTTPS for secure communication.